GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "5b350e58-88b3-436a-ba28-49d3e42508ff",
"Asset": {
"AssetId": "33a45411-62a6-4b46-8680-3e9d3bd5b0e2",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "82c38991-1871-4748-aeff-909cd92a6730",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba84f00c-7ec2-4141-9ee5-483f17668669",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "5c8463b3-d03b-44ff-a168-426f318c9489",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"MeasurementValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "a1d8c736-f739-47a0-a315-7ad0e4fdab88",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"MeasurementValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "b2c470eb-05da-47ff-8688-ab5109573e10",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "f0dceb13-2f32-470a-82a4-bb6f44fd7ecd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "82c38991-1871-4748-aeff-909cd92a6730",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba84f00c-7ec2-4141-9ee5-483f17668669",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "3dca0819-c648-41be-b7a1-7210bab9d9df",
"Section": {
"FormTypeSectionId": "b7fd3473-0b8d-484f-b592-46f1de407dd9",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "113db76e-c7bd-4a05-851d-08b7ea93a89b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "cd82077d-4b8c-4114-b75f-dd2e74e8782f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "f7637d10-4d86-4fdf-8c73-c9ecee5aa3db",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "3dca0819-c648-41be-b7a1-7210bab9d9df",
"Section": {
"FormTypeSectionId": "b7fd3473-0b8d-484f-b592-46f1de407dd9",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "113db76e-c7bd-4a05-851d-08b7ea93a89b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "cd82077d-4b8c-4114-b75f-dd2e74e8782f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "f7637d10-4d86-4fdf-8c73-c9ecee5aa3db",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "bdc370ce-b82e-499f-98d7-f2b83d3bac99",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-15T06:17:29.719013-08:00",
"Location": "sample string 1",
"TaskId": "a093ef6f-f2e4-4f3a-82aa-7276680b0fbc",
"Values": [
{
"FormFieldValueId": "1a73332c-7845-45fe-939f-c2d1518897e3",
"FormId": "0bdf6bc6-2f53-44ac-9d8c-e4bd40d721a9",
"FormTypeField": {
"FormTypeFieldId": "3dca0819-c648-41be-b7a1-7210bab9d9df",
"FormType": {
"FormTypeId": "f0dceb13-2f32-470a-82a4-bb6f44fd7ecd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "82c38991-1871-4748-aeff-909cd92a6730",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba84f00c-7ec2-4141-9ee5-483f17668669",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "bdc370ce-b82e-499f-98d7-f2b83d3bac99",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "b7fd3473-0b8d-484f-b592-46f1de407dd9",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "113db76e-c7bd-4a05-851d-08b7ea93a89b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "cd82077d-4b8c-4114-b75f-dd2e74e8782f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "f7637d10-4d86-4fdf-8c73-c9ecee5aa3db",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "1a73332c-7845-45fe-939f-c2d1518897e3",
"FormId": "0bdf6bc6-2f53-44ac-9d8c-e4bd40d721a9",
"FormTypeField": {
"FormTypeFieldId": "3dca0819-c648-41be-b7a1-7210bab9d9df",
"FormType": {
"FormTypeId": "f0dceb13-2f32-470a-82a4-bb6f44fd7ecd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "82c38991-1871-4748-aeff-909cd92a6730",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba84f00c-7ec2-4141-9ee5-483f17668669",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "bdc370ce-b82e-499f-98d7-f2b83d3bac99",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "b7fd3473-0b8d-484f-b592-46f1de407dd9",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "113db76e-c7bd-4a05-851d-08b7ea93a89b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "cd82077d-4b8c-4114-b75f-dd2e74e8782f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "f7637d10-4d86-4fdf-8c73-c9ecee5aa3db",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "5f11060b-2f94-4cbd-8199-88729a9bdef0",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "5b350e58-88b3-436a-ba28-49d3e42508ff",
"Asset": {
"AssetId": "33a45411-62a6-4b46-8680-3e9d3bd5b0e2",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "82c38991-1871-4748-aeff-909cd92a6730",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba84f00c-7ec2-4141-9ee5-483f17668669",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "5c8463b3-d03b-44ff-a168-426f318c9489",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"MeasurementValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "a1d8c736-f739-47a0-a315-7ad0e4fdab88",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"MeasurementValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "b2c470eb-05da-47ff-8688-ab5109573e10",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "f0dceb13-2f32-470a-82a4-bb6f44fd7ecd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "82c38991-1871-4748-aeff-909cd92a6730",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba84f00c-7ec2-4141-9ee5-483f17668669",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "3dca0819-c648-41be-b7a1-7210bab9d9df",
"Section": {
"FormTypeSectionId": "b7fd3473-0b8d-484f-b592-46f1de407dd9",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "113db76e-c7bd-4a05-851d-08b7ea93a89b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "cd82077d-4b8c-4114-b75f-dd2e74e8782f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "f7637d10-4d86-4fdf-8c73-c9ecee5aa3db",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "3dca0819-c648-41be-b7a1-7210bab9d9df",
"Section": {
"FormTypeSectionId": "b7fd3473-0b8d-484f-b592-46f1de407dd9",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "113db76e-c7bd-4a05-851d-08b7ea93a89b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "cd82077d-4b8c-4114-b75f-dd2e74e8782f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "f7637d10-4d86-4fdf-8c73-c9ecee5aa3db",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "bdc370ce-b82e-499f-98d7-f2b83d3bac99",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-15T06:17:29.719013-08:00",
"Location": "sample string 1",
"TaskId": "a093ef6f-f2e4-4f3a-82aa-7276680b0fbc",
"Values": [
{
"FormFieldValueId": "1a73332c-7845-45fe-939f-c2d1518897e3",
"FormId": "0bdf6bc6-2f53-44ac-9d8c-e4bd40d721a9",
"FormTypeField": {
"FormTypeFieldId": "3dca0819-c648-41be-b7a1-7210bab9d9df",
"FormType": {
"FormTypeId": "f0dceb13-2f32-470a-82a4-bb6f44fd7ecd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "82c38991-1871-4748-aeff-909cd92a6730",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba84f00c-7ec2-4141-9ee5-483f17668669",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "bdc370ce-b82e-499f-98d7-f2b83d3bac99",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "b7fd3473-0b8d-484f-b592-46f1de407dd9",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "113db76e-c7bd-4a05-851d-08b7ea93a89b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "cd82077d-4b8c-4114-b75f-dd2e74e8782f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "f7637d10-4d86-4fdf-8c73-c9ecee5aa3db",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "1a73332c-7845-45fe-939f-c2d1518897e3",
"FormId": "0bdf6bc6-2f53-44ac-9d8c-e4bd40d721a9",
"FormTypeField": {
"FormTypeFieldId": "3dca0819-c648-41be-b7a1-7210bab9d9df",
"FormType": {
"FormTypeId": "f0dceb13-2f32-470a-82a4-bb6f44fd7ecd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "82c38991-1871-4748-aeff-909cd92a6730",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba84f00c-7ec2-4141-9ee5-483f17668669",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-15T06:17:29.719013-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "bdc370ce-b82e-499f-98d7-f2b83d3bac99",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "b7fd3473-0b8d-484f-b592-46f1de407dd9",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "113db76e-c7bd-4a05-851d-08b7ea93a89b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "cd82077d-4b8c-4114-b75f-dd2e74e8782f",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "f7637d10-4d86-4fdf-8c73-c9ecee5aa3db",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "b3a2f7a2-c464-408c-a6dd-03ebd26c3ef9",
"FieldId": "b1803218-2fb8-4777-94c8-e9fcb9339241",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "5f11060b-2f94-4cbd-8199-88729a9bdef0",
"CreateDate": "2026-11-15T06:17:29.719013-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-15T06:17:29.719013-08:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}